Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.owswatch.configs
Class OwsWatchConfig

    java.lang.Object
      org.deegree.portal.owswatch.configs.OwsWatchConfig

All Implemented Interfaces:
  Serializable

    public class OwsWatchConfig

extends Object
implements Serializable

A class that holds the information of the configurations file of owsWatch

Version:
  $Revision: 1.1 $, $Date: 2008-03-07 14:49:52 $
Author:
  Moataz Elmasry, last edited by: $Author: elmasry $
See Also:
  Serialized Form

Constructor Summary
`OwsWatchConfig(GeneralConfig general, ServiceDescription serviceConfig)`

Method Summary
`GeneralConfig` | `getGeneral()`
`ServiceDescription` | `getServiceConfig()`
`boolean` | `isAuthenticatedUser(String username, String pwd)` checks the userName and password of the administrator
`void` | `setGeneral(GeneralConfig general)`
`void` | `setServiceConfig(ServiceDescription serviceConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OwsWatchConfig

    public OwsWatchConfig(GeneralConfig general,
                          ServiceDescription serviceConfig)

Parameters:
  `general` -
  `serviceConfig` -

Method Detail

### getGeneral

    public GeneralConfig getGeneral()

  Returns:
    GeneralConfig

### setGeneral

    public void setGeneral(GeneralConfig general)

  Parameters:
    `general` -

### getServiceConfig

    public ServiceDescription getServiceConfig()

  Returns:
    ServiceDescription

### setServiceConfig

    public void setServiceConfig(ServiceDescription serviceConfig)

  Parameters:
    `serviceConfig` -

### isAuthenticatedUser

    public boolean isAuthenticatedUser(String username,
                                       String pwd)

  checks the userName and password of the administrator

  Parameters:
    `username` -
    `pwd` -
  Returns:
    boolean whether this user is logged in or not

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org